# Disabled debuginfo package as the autogenerated 'debugfiles.list' file is empty.
# In other words there were no debug symbols to package.
%global debug_package %{nil}
Summary:        Azure Linux OpenTelemetry Collector Distribution
Name:           azl-otel-collector
Version:        0.127.0
Release:        1%{?dist}
License:        MIT
Vendor:         Microsoft Corporation
Distribution:   Azure Linux
URL:            https://github.com/microsoft/azl-otel-collector
Source0:        https://github.com/microsoft/azl-otel-collector/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}-%{version}-govendor-v1.tar.gz
Source2:        azl-otel-collector.service
BuildRequires:  golang
BuildRequires:  systemd-rpm-macros

%description
Azure Linux OpenTelemetry Collector is a custom distribution of the
OpenTelemetry Collector. It contains a subset of the components from the
https://github.com/open-telemetry/opentelemetry-collector-contrib repository and
also includes receivers developed by the Azure Linux team.

%prep
%autosetup -n azl-otel-collector-%{version}
tar -xf %{SOURCE1} --no-same-owner -C cmd/azl-otelcol

%build
export CGO_ENABLED=0
%make_build MODFLAGS="-mod=vendor" BUILDTAGS="netgo osusergo static_build" LDFLAGS="-s -w" TRIMPATH=1

%install
mkdir -p "%{buildroot}/%{_bindir}"
install -D -m0755 bin/azl-otelcol %{buildroot}/%{_bindir}
mkdir -p "%{buildroot}%{_unitdir}"
install -D -m0644 %{SOURCE2} %{buildroot}%{_unitdir}/azl-otel-collector.service
mkdir -p "%{buildroot}%{_sysconfdir}/azl-otel-collector"
install -D -m0644 config/default-config.yaml %{buildroot}%{_sysconfdir}/azl-otel-collector/config.yaml

%files
%{_bindir}/azl-otelcol
%license LICENSE
%doc README.md

%package -n azl-otel-collector-service
Summary: Systemd service and configuration for azl-otel-collector
Requires: azl-otel-collector = %{version}-%{release}
# Include the smartmontools package needed by the smartdata receiver in the collector
Requires:       smartmontools
Requires(post): systemd

%description -n azl-otel-collector-service
This package contains the systemd unit file and default configuration
for the Azure Linux OpenTelemetry Collector.

%pre -n azl-otel-collector-service
%systemd_preun azl-otel-collector.service

%post -n azl-otel-collector-service
%systemd_post azl-otel-collector.service

%postun -n azl-otel-collector-service
%systemd_postun_with_restart azl-otel-collector.service

%files -n azl-otel-collector-service
%dir %{_sysconfdir}/azl-otel-collector
%config(noreplace) %{_sysconfdir}/azl-otel-collector/config.yaml
%{_unitdir}/azl-otel-collector.service

%changelog
* Mon Jun 01 2025 Adit Jha <aditjha@microsoft.com> - 0.127.0-1
- Bump to 0.127.0 release

* Wed Apr 23 2025 Adit Jha <aditjha@microsoft.com> - 0.124.0-1
- Original version for Azure Linux
- License Verified
